#
# spec file for package TaskCoach
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           TaskCoach
Version:        1.4.3
Release:        lp150.1.1
Summary:        Flexible to-do manager featuring hierarchical tasks
License:        GPL-3.0
Group:          Productivity/Office/Organizers
Url:            http://www.taskcoach.org/
Source:         http://downloads.sourceforge.net/taskcoach/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-lxml
BuildRequires:  python-twisted
BuildRequires:  python-wxWidgets
BuildRequires:  update-desktop-files
Requires:       python >= 2.6
Requires:       python-lxml
Requires:       python-twisted
Requires:       python-wxGTK >= 2.8.9.2
Recommends:     python-notify
BuildArch:      noarch

%description
Task Coach is a simple open source to-do manager to manage personal tasks and
todo lists. It grew out of a frustration that well-known task managers
do not provide facilities for composite tasks. Often, tasks and other things
to-do consist of several activities. Task Coach is designed to deal with
composite tasks.

%prep
%setup -q

# Add ; as trailing character in .desktop.
sed -i '/^Keywords=/s/$/;/' build.in/linux_common/taskcoach.desktop

%build
python pymake.py build

%install

python pymake.py install --prefix=%{_prefix} --root=%{buildroot} --install-data %{_datadir}

# Install icon and .desktop files.
install -Dm 0644 build.in/linux_common/taskcoach.desktop %{buildroot}%{_datadir}/applications/taskcoach.desktop
install -Dm 0644 icons.in/taskcoach.png %{buildroot}%{_datadir}/pixmaps/taskcoach.png

# Remove unneeded files.
rm -rf %{buildroot}%{python_sitelib}/buildlib

# Fix duplicated files.
%fdupes %{buildroot}%{python_sitelib}/taskcoachlib/

%suse_update_desktop_file -r taskcoach Office Calendar

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc CHANGES.txt COPYRIGHT.txt HACKING.txt INSTALL.txt LICENSE.txt PUBLICITY.txt README.txt TODO.tsk
%{_bindir}/taskcoach.py
%{_datadir}/applications/taskcoach.desktop
%{_datadir}/pixmaps/taskcoach.png
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/taskcoachlib/

%changelog
* Mon Feb  1 2016 ronisbr@gmail.com
- Run spec-cleaner.
- Version bump to 1.4.3.
  Upstream changelog:
  Bugs fixed:
  - Fix excessive CPU usage on Linux when smart filesystem
    monitoring is enabled.
  - Fix attachment opening on some Linux distros. (SF#1613)
  Features added:
  - Finnish translation fixed and enabled.
  - The shortcut to delete tasks is now Ctrl+DEL instead of just
    DEL.
* Sun Nov  1 2015 ronisbr@gmail.com
- Fix usage of %%suse_update_desktop_file.
* Sun Nov  1 2015 ronisbr@gmail.com
- Remove unneeded files in %%{python_sitelib}/buildlib.
- Add TaskCoach icon to the package (thanks AndnoVember).
- Add .desktop file to the package (thanks AndnoVember).
- Run spec-cleaner.
- Version bump to 1.4.2.
- Upstream changelog between 1.3.38 and 1.4.2:
    Release 1.4.2 - January 31, 2015
    This is a bugfix release.
    Bugs fixed:
  - Also avoid locking in an ownCloud folder.
  - Avoid a crash when files with badly encoded names are in the same directory
    as the task file.
  - Avoid data loss in some rare situations
    Release 1.4.1 - September 14, 2014
    This is a bugfix release.
    Bugs fixed:
  - Increase taskbar icon size on Linux to avoid dead places. (SF#1536)
  - Display time spent in decimal format in task viewer if the option is set.
    (SF#1534)
  - Fix todo.txt export when dates have a year < 1900 (SF#1541)
  - Avoid locking in Dropbox folder on Windows. (SF#1540)
  - Backup and save would fail if the path to the user's home contained a non-
    ASCII character (SF#1547, SF#1546)
  - Fix stop effort tooltip. (SF#1537)
    Release 1.4.0 - July 3, 2014
    This is a major feature release.
    Bugs fixed:
  - Fix tooltips on notes. (SF#1525)
  - Fix sort order indication in viewer columns. (SF#1527)
  - Don't crash at startup if the locale is not supported. (SF#1528)
    Features added:
  - A task file can now be open by several instances of Task Coach, allowing
    several users to work on the same file.
    (http://taskcoach.uservoice.com/forums/26465-desktop-version-windows-linux-
    mac-of-task-coach/suggestions/288999-enable-multi-user-task-management)
  - Backups are now always enabled.
    Release 1.3.41 - June 22, 2014
    This is a mixed bugfix and feature release.
    Bugs fixed:
  - Fix a crash at startup on Linux when using some window managers that don't
    set the SESSION_MANAGER environment variable.
  - Bring back effort tooltips.
  - Fix positionning of baloon tips when moving the window from one display to
    another. (SF#1522)
  - Fix for non-ASCII e-mail subjects without encoding specification (SF#1523)
    Feature added:
  - Bring back the option to disable tooltips.
    Release 1.3.40 - May 25, 2014
    This is a mixed bugfix and feature release.
    Bugs fixed:
  - Remove a debug trace in DnD code.
  - "Effort for one task" becomes "Effort for selected task(s)" (SF#1474,
    SF#1520)
  - Fix an occasional "AlreadyCalledError" when iPhone sync is enabled.
    Feature added:
  - Add an "add note to selected task" button in the task toolbar; patch from
    Manab Chetia
    Release 1.3.39 - May 18, 2014
    This is a mixed bugfix and feature release.
    Bugs fixed:
  - Some tabs would come up blank when the editor was in multi-notebook mode.
    (SF#1512)
  - In hierarchical calendar, when hitting Ctrl-A or Shift-clicking a parent
    task, only select visible tasks.
  - Fix a number of SyncML-related bugs.
  - Fix the "cannot create a file that exists" problem when saving. (SF#1517)
  - Fix an error introduced in 1.3.38 related to tips. (SF#1518)
  - Hopefully fix a session-related bug on Windows (SF#1516)
    Features added:
  - SyncML: add support for Horde-based servers.
  - All sort criterion are now persisted between sessions.
    (http://taskcoach.uservoice.com/forums/26465-desktop-version-windows-linux-
    mac-of-task-coach/suggestions/289031-better-control-over-task-order)
* Mon May  5 2014 mailaender@opensuse.org
- Update to version 1.3.38
* Mon Oct  4 2010 rictor@cuhrt.com
- Update to version 1.1.4
* Mon Mar 29 2010 lenz@grimmer.com
- Update to version 1.0.1
* Wed Dec  9 2009 lenz@grimmer.com
- Update to version 0.77.0
* Mon Sep 14 2009 lenz@grimmer.com
- Initial version (0.74.1) for the openSUSE Build Service, based
  on the upstream RPM spec file
- bzipped sources
